﻿using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;

namespace MvvmLightNavigationBehaviorAndMessages.ViewModel
{
   /// <summary>
   /// This class contains properties that the main View can data bind to.
   /// <para>
   /// Use the <strong>mvvminpc</strong> snippet to add bindable properties to this ViewModel.
   /// </para>
   /// <para>
   /// You can also use Blend to data bind with the tool's support.
   /// </para>
   /// <para>
   /// See http://www.galasoft.ch/mvvm/getstarted
   /// </para>
   /// </summary>
   public class MainViewModel : ViewModelBase
   {
      public RelayCommand Page2Command
      {
         get;
         private set;
      }

      public string ApplicationTitle
      {
         get
         {
            return "MVVM LIGHT";
         }
      }

      public string PageName
      {
         get
         {
            return "My page:";
         }
      }

      public string Welcome
      {
         get
         {
            return "Welcome to MVVM Light";
         }
      }

      /// <summary>
      /// Initializes a new instance of the MainViewModel class.
      /// </summary>
      public MainViewModel()
      {
         Page2Command = new RelayCommand( () => GoToPage2() );

         if ( IsInDesignMode )
         {
            // Code runs in Blend --> create design time data.
         }
         else
         {
            // Code runs "for real"
         }
      }

      private object GoToPage2()
      {
         System.Windows.MessageBox.Show( "Navigate to Page 2!" );
         return null;
      }

      ////public override void Cleanup()
      ////{
      ////    // Clean up if needed

      ////    base.Cleanup();
      ////}
   }
}