﻿using GalaSoft.MvvmLight;

namespace MvvmLightNavigationBehaviorAndMessages.ViewModel
{
   /// <summary>
   /// This class contains properties that a View can data bind to.
   /// <para>
   /// Use the <strong>mvvminpc</strong> snippet to add bindable properties to this ViewModel.
   /// </para>
   /// <para>
   /// You can also use Blend to data bind with the tool's support.
   /// </para>
   /// <para>
   /// See http://www.galasoft.ch/mvvm/getstarted
   /// </para>
   /// </summary>
   public class Page2ViewModel : ViewModelBase
   {
      public string ApplicationTitle
      {
         get
         {
            return "MVVM LIGHT";
         }
      }

      public string PageName
      {
         get
         {
            return "Page 2";
         }
      }

      public string Welcome
      {
         get
         {
            return "Welcome to Page 2";
         }
      }

      /// <summary>
      /// Initializes a new instance of the Page2ViewModel class.
      /// </summary>
      public Page2ViewModel()
      {
         ////if (IsInDesignMode)
         ////{
         ////    // Code runs in Blend --> create design time data.
         ////}
         ////else
         ////{
         ////    // Code runs "for real": Connect to service, etc...
         ////}
      }

      ////public override void Cleanup()
      ////{
      ////    // Clean own resources if needed

      ////    base.Cleanup();
      ////}
   }
}